"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const jsx_runtime_1 = require("react/jsx-runtime");
const ui_core_react_js_1 = require("@replyke/ui-core-react-js");
const HeartButton = ({ userUpvoted, handleUpvote, handleRemoveUpvote, iconSize, fullColor, emptyColor, padding = 0, paddingBottom = 0, }) => {
    return userUpvoted ? ((0, jsx_runtime_1.jsx)("div", { onClick: handleRemoveUpvote, style: {
            padding,
            paddingBottom,
            display: "flex",
            alignItems: "center",
            justifyContent: "center",
            ...ui_core_react_js_1.resetButton,
        }, children: (0, jsx_runtime_1.jsx)(ui_core_react_js_1.HeartFullIcon, { size: iconSize, color: fullColor }) })) : ((0, jsx_runtime_1.jsx)("div", { onClick: handleUpvote, style: {
            padding,
            paddingBottom,
            display: "flex",
            alignItems: "center",
            justifyContent: "center",
            ...ui_core_react_js_1.resetButton,
        }, children: (0, jsx_runtime_1.jsx)(ui_core_react_js_1.HeartIcon, { size: iconSize, color: emptyColor }) }));
};
exports.default = HeartButton;
//# sourceMappingURL=HeartButton.js.map