import React from "react";
import { Comment as CommentType } from "@replyke/core";
type ModalManagerContext = {
    isCommentOptionsModalOpen: boolean;
    isCommentOptionsModalOwnerOpen: boolean;
    openCommentOptionsModal: (newComment?: CommentType) => void;
    closeCommentOptionsModal: () => void;
    openCommentOptionsModalOwner: (newComment?: CommentType) => void;
    closeCommentOptionsModalOwner: () => void;
    optionsComment: CommentType | null;
    setOptionsComment: React.Dispatch<React.SetStateAction<CommentType | null>>;
};
export declare const ModalManagerContext: React.Context<Partial<ModalManagerContext>>;
export declare const ModalManagerProvider: ({ children, }: {
    children: React.ReactNode;
}) => import("react/jsx-runtime").JSX.Element;
export {};
