import { ReactNode } from "react";
import { CommentsSortByOptions } from "@replyke/core";
import { SocialStyleCallbacks, SocialStyleConfig } from "@replyke/comments-social-core";
import { NewCommentForm, SortByButton } from "../components";
declare function useSocialComments({ entityId, callbacks, defaultSortBy, limit, styleConfig, highlightedCommentId, }: {
    entityId: string | null | undefined;
    callbacks?: SocialStyleCallbacks;
    defaultSortBy?: CommentsSortByOptions;
    limit?: number;
    styleConfig: SocialStyleConfig;
    highlightedCommentId?: string | null;
}): {
    CommentSectionProvider: ({ children }: {
        children: ReactNode;
    }) => import("react/jsx-runtime").JSX.Element;
    CommentsFeed: import("react").MemoExoticComponent<({ children: customNoCommentsView }: {
        children?: ReactNode;
    }) => import("react/jsx-runtime").JSX.Element>;
    NewCommentForm: typeof NewCommentForm;
    SortByButton: typeof SortByButton;
};
export default useSocialComments;
