"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const jsx_runtime_1 = require("react/jsx-runtime");
const core_1 = require("@replyke/core");
const CommentsFooterComponent = () => {
    const { hasMore, loading } = (0, core_1.useCommentSection)();
    // Inline style for keyframes (added directly to a <style> tag for this minimal setup)
    const keyframes = `
    @keyframes spin {
      0% { transform: rotate(0deg); }
      100% { transform: rotate(360deg); }
    }
  `;
    return (hasMore &&
        loading && ((0, jsx_runtime_1.jsxs)("div", { style: {
            display: "flex",
            justifyContent: "center",
            alignItems: "center",
            height: "100vh",
        }, children: [(0, jsx_runtime_1.jsx)("style", { children: keyframes }), (0, jsx_runtime_1.jsx)("div", { style: {
                    display: "inline-block",
                    width: "40px",
                    height: "40px",
                    border: "4px solid rgba(0, 0, 0, 0.1)",
                    borderTop: "4px solid #000",
                    borderRadius: "50%",
                    animation: "spin 1s linear infinite",
                } })] })));
};
exports.default = CommentsFooterComponent;
//# sourceMappingURL=CommentsFooterComponent.js.map