"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const jsx_runtime_1 = require("react/jsx-runtime");
const comments_social_core_1 = require("@replyke/comments-social-core");
const ui_core_react_js_1 = require("@replyke/ui-core-react-js");
function FetchingCommentsSkeletons() {
    const { styleConfig } = (0, comments_social_core_1.useSocialStyleConfig)();
    const { backgroundColor, commentsGap } = styleConfig.commentFeedProps;
    return ((0, jsx_runtime_1.jsx)("div", { style: {
            ...ui_core_react_js_1.resetDiv,
            display: "flex",
            flexDirection: "column",
            gap: commentsGap,
            backgroundColor,
            paddingBottom: 24,
            paddingRight: 16,
            paddingLeft: 16,
        }, children: [1, 2, 3].map((i) => ((0, jsx_runtime_1.jsx)(ui_core_react_js_1.CommentSkeleton, {}, i))) }));
}
exports.default = FetchingCommentsSkeletons;
//# sourceMappingURL=FetchingCommentsSkeletons.js.map