"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const jsx_runtime_1 = require("react/jsx-runtime");
const core_1 = require("@replyke/core");
const comments_social_core_1 = require("@replyke/comments-social-core");
const ui_core_react_js_1 = require("@replyke/ui-core-react-js");
const Comment_1 = require("./Comment");
function LoadedComments({ data }) {
    const { highlightedComment } = (0, core_1.useCommentSection)();
    const { styleConfig } = (0, comments_social_core_1.useSocialStyleConfig)();
    const { backgroundColor, commentsGap } = styleConfig.commentFeedProps;
    return ((0, jsx_runtime_1.jsxs)("div", { style: {
            ...ui_core_react_js_1.resetDiv,
            display: "grid",
            gap: commentsGap,
            backgroundColor,
        }, children: [highlightedComment ? ((0, jsx_runtime_1.jsx)(Comment_1.Comment, { comment: highlightedComment.parentComment ?? highlightedComment.comment })) : null, data?.map((c) => ((0, jsx_runtime_1.jsx)(Comment_1.Comment, { comment: c }, c.id)))] }));
}
exports.default = LoadedComments;
//# sourceMappingURL=LoadedComments.js.map