"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const jsx_runtime_1 = require("react/jsx-runtime");
const ui_core_react_js_1 = require("@replyke/ui-core-react-js");
function MentionSuggestions({ isMentionActive, isLoadingMentions, mentionSuggestions, handleMentionClick, }) {
    if (!isMentionActive)
        return null;
    return ((0, jsx_runtime_1.jsx)("div", { 
        // ref={mentionRef}
        style: {
            height: "auto",
            maxHeight: 200, // Max height + buffer
            position: "absolute",
            bottom: 0,
            left: 0,
            right: 0,
            zIndex: 10,
            overflow: "hidden",
            overflowY: "auto",
            transition: "height 0.15s ease, top 0.3s ease",
            backgroundColor: "white",
            borderTopColor: "#e7e7e7",
            borderTopWidth: "1px",
            borderTopStyle: "solid",
            padding: 16,
        }, children: (0, jsx_runtime_1.jsx)("ul", { style: { display: "grid", gap: 8 }, children: isLoadingMentions
                ? [1, 2, 3].map((i) => (0, jsx_runtime_1.jsx)(ui_core_react_js_1.UserMentionSkeleton, {}, i))
                : mentionSuggestions.length > 0
                    ? mentionSuggestions.map((user) => ((0, jsx_runtime_1.jsxs)("li", { onClick: () => handleMentionClick(user), style: {
                            cursor: "pointer",
                            display: "flex",
                            alignItems: "center",
                            gap: 8,
                        }, children: [(0, jsx_runtime_1.jsx)(ui_core_react_js_1.UserAvatar, { user: user }), (0, jsx_runtime_1.jsxs)("div", { style: {
                                    display: "grid",
                                    justifyContent: "space-evenly",
                                }, children: [(0, jsx_runtime_1.jsx)("div", { style: { fontSize: 14, fontWeight: 500 }, children: user.username }), user.name && ((0, jsx_runtime_1.jsx)("div", { style: { fontSize: 14, fontWeight: 400, color: "gray" }, children: user.name }))] })] }, user.id)))
                    : null }) }));
}
exports.default = MentionSuggestions;
//# sourceMappingURL=MentionSuggestions.js.map