"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const jsx_runtime_1 = require("react/jsx-runtime");
const core_1 = require("@replyke/core");
const comments_social_core_1 = require("@replyke/comments-social-core");
const components_1 = require("../components");
const CommentMenuModal_1 = require("../components/modals/CommentMenuModal");
const CommentMenuModalOwner_1 = require("../components/modals/CommentMenuModalOwner");
const ModalManagerContext_1 = require("../context/ModalManagerContext");
function useSocialComments({ entityId, callbacks, defaultSortBy, limit, styleConfig, highlightedCommentId, }) {
    return {
        CommentSectionProvider: ({ children }) => ((0, jsx_runtime_1.jsx)(core_1.CommentSectionProvider, { entityId: entityId, callbacks: callbacks, defaultSortBy: defaultSortBy, limit: limit, highlightedCommentId: highlightedCommentId, children: (0, jsx_runtime_1.jsx)(comments_social_core_1.SocialStyleConfigProvider, { styleConfig: styleConfig, children: (0, jsx_runtime_1.jsx)(ModalManagerContext_1.ModalManagerProvider, { children: (0, jsx_runtime_1.jsxs)(jsx_runtime_1.Fragment, { children: [children, (0, jsx_runtime_1.jsx)(CommentMenuModal_1.CommentMenuModal, {}), (0, jsx_runtime_1.jsx)(CommentMenuModalOwner_1.CommentMenuModalOwner, {})] }) }) }) })),
        CommentsFeed: components_1.CommentsFeed,
        NewCommentForm: components_1.NewCommentForm,
        SortByButton: components_1.SortByButton,
    };
}
exports.default = useSocialComments;
//# sourceMappingURL=useSocialComments.js.map