import { jsx as _jsx } from "react/jsx-runtime";
import { HeartFullIcon, HeartIcon, resetButton, } from "@replyke/ui-core-react-js";
const HeartButton = ({ userUpvoted, handleUpvote, handleRemoveUpvote, iconSize, fullColor, emptyColor, padding = 0, paddingBottom = 0, }) => {
    return userUpvoted ? (_jsx("div", { onClick: handleRemoveUpvote, style: {
            padding,
            paddingBottom,
            display: "flex",
            alignItems: "center",
            justifyContent: "center",
            ...resetButton,
        }, children: _jsx(HeartFullIcon, { size: iconSize, color: fullColor }) })) : (_jsx("div", { onClick: handleUpvote, style: {
            padding,
            paddingBottom,
            display: "flex",
            alignItems: "center",
            justifyContent: "center",
            ...resetButton,
        }, children: _jsx(HeartIcon, { size: iconSize, color: emptyColor }) }));
};
export default HeartButton;
//# sourceMappingURL=HeartButton.js.map