import { jsx as _jsx } from "react/jsx-runtime";
import { useCommentSection } from "@replyke/core";
import { resetButton } from "@replyke/ui-core-react-js";
function SortByButton({ priority, activeView, nonActiveView, }) {
    const { sortBy, setSortBy } = useCommentSection();
    return (_jsx("button", { style: { ...resetButton }, onClick: () => setSortBy(priority), children: sortBy === priority ? activeView : nonActiveView }));
}
export default SortByButton;
//# sourceMappingURL=SortByButton.js.map