import { jsx as _jsx, Fragment as _Fragment, jsxs as _jsxs } from "react/jsx-runtime";
import { CommentSectionProvider } from "@replyke/core";
import { SocialStyleConfigProvider, } from "@replyke/comments-social-core";
import { CommentsFeed, NewCommentForm, SortByButton } from "../components";
import { CommentMenuModal } from "../components/modals/CommentMenuModal";
import { CommentMenuModalOwner } from "../components/modals/CommentMenuModalOwner";
import { ModalManagerProvider } from "../context/ModalManagerContext";
function useSocialComments({ entityId, callbacks, defaultSortBy, limit, styleConfig, highlightedCommentId, }) {
    return {
        CommentSectionProvider: ({ children }) => (_jsx(CommentSectionProvider, { entityId: entityId, callbacks: callbacks, defaultSortBy: defaultSortBy, limit: limit, highlightedCommentId: highlightedCommentId, children: _jsx(SocialStyleConfigProvider, { styleConfig: styleConfig, children: _jsx(ModalManagerProvider, { children: _jsxs(_Fragment, { children: [children, _jsx(CommentMenuModal, {}), _jsx(CommentMenuModalOwner, {})] }) }) }) })),
        CommentsFeed,
        NewCommentForm,
        SortByButton,
    };
}
export default useSocialComments;
//# sourceMappingURL=useSocialComments.js.map